Subject: RE: bug#15811: 24.3.50; enhancement request: provide history for *Pp Eval Output*

From: Drew Adams <[email-masked]>
Date: Fri, 29 Apr 2016 10:36:55 -0700 (PDT)

> > Consider providing a navigable history for buffer *Pp Eval Output*.
> > This would be similar to `l' and `r' in *Info* or the [back] and
> > [forward] links in *Help*.  But instead of adding links to the buffer,
> > use keys or menu items.
> >
> > Currently there is not even any undo in *Pp Eval Output*.  It can be
> > useful to revisit previous evaluation results.
> 
> If we're storing the expressions in the history and redoing them, then
> that sounds potentially dangerous.  (There may be something destructive
> going on.)  If we're saving the buffer contents, then that sounds
> ... unusual.

It's no different from what we do with `*Help*', except that
yes, I meant saving the buffers (output), not automatically
reevaluating the sexps.  As I said: "useful to revisit previous
evaluation results".

Your criticism in that case is that this would be "unusual"?
Not for someone who uses *Pp Eval Output* a lot.  This is
similar to requests for saving *grep* buffers etc.

The other possibility to consider is simply providing undo,
so you can go backward to previous results (and forward again).
That would less handy than separate buffers with navigation,
but it would be better than nothing.

> So I don't think this sounds like a very useful feature.  Closing.